/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

//**Query**
//for a given airport, give me all the flights that got delayed by more than 15 minutes
//and the causes of delay for each one 

import airline_performance_monitor;

//filter set to day of the month(february in this case)
Airportfilter := 'LAX';
FetchDelayedFlightsByAirport := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByAirport(Destination = Airportfilter,ArrDelay >= 15),
					RIGHT.fpos);

OUTPUT(choosen(FetchDelayedFlightsByAirport,1000),{FlightDate,AirlineDescription,FlightNumber,Destination,DelayCause},named('DelayedFlightsByAirport'));